(function(context,$) {

    "use strict";

    context.JK = context.JK || {};
    context.JK.TermsDialog = function(app, sessionId, callback) {

        var logger = context.JK.logger;

        function events() {
            $('#btn-accept-terms').click(function(evt) {
                callback(sessionId);
            });

            $('#btn-cancel-terms').click(function(evt) {
                app.layout.closeDialog('terms');
            });
        }

        function initialize() {
            events();
        }

        this.initialize = initialize;

    };
})(window,jQuery);
